## org.apache.commons.math.random
Class GaussianRandomGenerator

    java.lang.Object
      org.apache.commons.math.random.GaussianRandomGenerator

All Implemented Interfaces:
  NormalizedRandomGenerator

    public class GaussianRandomGenerator

extends Object
implements NormalizedRandomGenerator

This class is a gaussian normalized random generator for scalars.

This class is a simple wrapper around the `RandomGenerator.nextGaussian()` method.

Since:
  1.2
Version:
  $Revision: 811827 $ $Date: 2009-09-06 17:32:50 +0200 (dim. 06 sept. 2009) $

Field Summary
`private RandomGenerator` `generator` Underlying generator.

Constructor Summary
`GaussianRandomGenerator(RandomGenerator generator)` Create a new generator.

Method Summary
`double` `nextNormalizedDouble()` Generate a random scalar with null mean and unit standard deviation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generator

    private final RandomGenerator generator

  Underlying generator.

Constructor Detail

### GaussianRandomGenerator

    public GaussianRandomGenerator(RandomGenerator generator)

  Create a new generator.

  Parameters:
    `generator` - underlying random generator to use

Method Detail

### nextNormalizedDouble

    public double nextNormalizedDouble()

  Generate a random scalar with null mean and unit standard deviation.

  Specified by:
    `nextNormalizedDouble` in interface `NormalizedRandomGenerator`
  Returns:
    a random scalar with null mean and unit standard deviation

Copyright (c) 2003-2013 Apache Software Foundation